> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get appointment calendar feed items for the requested range



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/appointments/calendar
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/appointments/calendar:
    get:
      tags:
        - Appointment
      summary: Get appointment calendar feed items for the requested range
      operationId: appointment.calendar
      parameters:
        - name: from
          in: query
          required: true
          description: Filter records from this date or datetime (YYYY-MM-DD).
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: true
          description: Filter records up to this date or datetime (YYYY-MM-DD).
          schema:
            type: string
            format: date-time
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    type: object
                    properties:
                      from:
                        type: string
                      to:
                        type: string
                      timezone:
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            kind:
                              type: string
                              const: lock
                            reason:
                              type: string
                              const: expired_pending
                            start_at:
                              type: string
                            end_at:
                              type: string
                            doctor_name:
                              type:
                                - string
                                - 'null'
                            treatment_name:
                              type:
                                - string
                                - 'null'
                            time_label:
                              type:
                                - string
                                - 'null'
                            appointment_id:
                              type:
                                - integer
                                - 'null'
                            show_details:
                              type: boolean
                            meta:
                              type: object
                              properties:
                                status:
                                  type:
                                    - string
                                    - 'null'
                                status_label:
                                  type:
                                    - string
                                    - 'null'
                                is_old_slot:
                                  type: boolean
                                reschedule_confirmation_pending:
                                  type: boolean
                                is_hard_reserved:
                                  type: boolean
                                original_scheduled_at:
                                  type:
                                    - string
                                    - 'null'
                                proposed_scheduled_at:
                                  type:
                                    - string
                                    - 'null'
                                pending_expires_at:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - status
                                - status_label
                                - is_old_slot
                                - reschedule_confirmation_pending
                                - is_hard_reserved
                                - original_scheduled_at
                                - proposed_scheduled_at
                                - pending_expires_at
                          required:
                            - kind
                            - reason
                            - start_at
                            - end_at
                            - doctor_name
                            - treatment_name
                            - time_label
                            - appointment_id
                            - show_details
                            - meta
                    required:
                      - from
                      - to
                      - timezone
                      - items
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````